package com.emato.cus.supervise.biz.acqShelfLoad.down;

import com.emato.cus.supervise.biz.CusData;
import com.emato.cus.supervise.constant.EmtRecordTimeEnum;
import com.emato.cus.supervise.domainCus.CusAcqGoodsSeat06;
import com.emato.cus.supervise.domainCus.CusAcqShelfLoad04;
import com.emato.cus.supervise.domainOms.OmsCusUnitCode;
import com.emato.cus.supervise.mapperOms.OmsCusUnitCodeMapper;
import com.emato.cus.supervise.service.cus.CusAcqGoodsSeatService06;
import com.emato.cus.supervise.service.cus.CusAcqShelfLoadService04;
import com.emato.cus.supervise.util.snow.SnowflakeUtil;
import com.google.common.collect.Lists;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * 门店货物上下架数据 门店出场 即下架 删除门店库位 写入 CUS
 * @author Scott Chen
 * @version 1.0
 * 2017-10-31 12:38
 */
@Component
public class AcqShelfLoadDownOmsShopCusData {
    private static final Logger logger = LoggerFactory.getLogger(AcqShelfLoadDownOmsShopCusData.class);

    @Autowired
    private CusAcqGoodsSeatService06 cusAcqGoodsSeatService06;


    public int deteleteCus(List<?> list) {
        logger.info("---------- 门店返区出场数据::下架::删除门店库位::写入本次监控数据开始 --------------------");

        List<CusAcqShelfLoad04> cusList = (List<CusAcqShelfLoad04>) list;

        List<CusAcqGoodsSeat06> listSeat = Lists.newArrayList();

        cusList.forEach(i -> {
            CusAcqGoodsSeat06 seat06 = new CusAcqGoodsSeat06();
            seat06.setSkuNo(i.getSkuNo());
            seat06.setSeatNo(i.getSeatNo());
            seat06.setgQty(i.getgQty());
            seat06.setLocalEmsNo(i.getLocalEmsNo());
            listSeat.add(seat06);
        });

        // 查询库位表中对应sku,seatNo,gQty,账册localEmsNo，已经存在的库位数据
        List<CusAcqGoodsSeat06> listgoodsSeat = cusAcqGoodsSeatService06.listGoodsSeat(listSeat);
        if (listgoodsSeat == null || listgoodsSeat.size() == 0) {
            int result = 0;
            logger.info("---门店返区出场，CUS中间表无对应的库位数据，不执行删除!");
            logger.info("---------- 门店返区出场数据::下架::::删除门店库位::写入本次监控数据结束 --------------------");
            return result;
        }

        // 删除库存list
        List<CusAcqGoodsSeat06> deleteList = new ArrayList<>();

        listgoodsSeat.forEach(i -> {
            CusAcqGoodsSeat06 delSeat = new CusAcqGoodsSeat06();
            delSeat.setId(i.getId());
            deleteList.add(delSeat);
        });


        int result = cusAcqGoodsSeatService06.deleteCusAcqGoodsSeat06(deleteList);

        logger.info("---门店返区出场，删除门店库位数据写入监控数据:{} 条", result);

        logger.info("---------- 门店返区出场数据::下架::::删除门店库位::写入本次监控数据结束 --------------------");
        return result;
    }
}
