package com.emato.cus.supervise.service.oms.impl;

import com.emato.cus.supervise.domainOms.OmsMerchInfo;
import com.emato.cus.supervise.domainOms.OmsProductInfo;
import com.emato.cus.supervise.mapperOms.OmsMerchInfoMapper;
import com.emato.cus.supervise.mapperOms.OmsProductInfoMapper;
import com.emato.cus.supervise.service.oms.OmsDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * @author zengjunlin
 * @version 1.0
 * 2018-02-02 17:42
 */
@Service
public class OmsDataServiceImpl implements OmsDataService {

    @Autowired
    private OmsMerchInfoMapper omsMerchInfoMapper;

    @Autowired
    private OmsProductInfoMapper omsProductInfoMapper;


    /**
     * 货物库存数据
     *
     * @param merchSnList 商户编码
     * @return
     */
    @Override
    @Transactional(value = "thirdTransactionManager")
    public List<OmsMerchInfo> getOmsMerchInfoList(List<String> merchSnList) {
        return omsMerchInfoMapper.getOmsMerchInfoList(merchSnList);
    }

    @Override
    @Transactional(value = "thirdTransactionManager")
    public List<OmsProductInfo> getOmsProductInfoList(List<String> skuList) {
        return omsProductInfoMapper.getOmsProductInfoList(skuList);
    }
}
